Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.servlet
Class AbstractDelegatingResponse

    java.lang.Object
      org.jboss.portal.server.servlet.AbstractDelegatingResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public abstract class AbstractDelegatingResponse

extends java.lang.Object
implements javax.servlet.http.HttpServletResponse

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`AbstractDelegatingResponse()`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String name, long l)`
`void` | `addHeader(java.lang.String name, java.lang.String name1)`
`void` | `addIntHeader(java.lang.String name, int i)`
`boolean` | `containsHeader(java.lang.String name)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String name)`
`java.lang.String` | `encodeRedirectURL(java.lang.String name)`
`java.lang.String` | `encodeUrl(java.lang.String name)`
`java.lang.String` | `encodeURL(java.lang.String name)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`protected abstract javax.servlet.http.HttpServletResponse` | `getDelegate()`
`java.util.Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int i)`
`void` | `sendError(int i, java.lang.String name)`
`void` | `sendRedirect(java.lang.String name)`
`void` | `setBufferSize(int i)`
`void` | `setCharacterEncoding(java.lang.String name)`
`void` | `setContentLength(int i)`
`void` | `setContentType(java.lang.String name)`
`void` | `setDateHeader(java.lang.String name, long l)`
`void` | `setHeader(java.lang.String name, java.lang.String name1)`
`void` | `setIntHeader(java.lang.String name, int i)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setStatus(int i)`
`void` | `setStatus(int i, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDelegatingResponse

    public AbstractDelegatingResponse()

Method Detail

### getDelegate

    protected abstract javax.servlet.http.HttpServletResponse getDelegate()

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`

### containsHeader

    public boolean containsHeader(java.lang.String name)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

### encodeURL

    public java.lang.String encodeURL(java.lang.String name)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String name)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String name)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String name)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

### sendError

    public void sendError(int i,
                          java.lang.String name)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int i)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String name)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long l)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long l)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String name1)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String name1)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int i)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int i)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int i)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int i,
                          java.lang.String name)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String name)

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletResponse`

### setContentLength

    public void setContentLength(int i)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`

### setContentType

    public void setContentType(java.lang.String name)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`

### setBufferSize

    public void setBufferSize(int i)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD